net.corda.node.services.messaging

## Class ArtemisMessagingComponent.NodeAddress

- net.corda.node.services.messaging.ArtemisMessagingComponent.NodeAddress

- All Implemented Interfaces:
    ArtemisMessagingComponent.ArtemisAddress, ArtemisMessagingComponent.ArtemisPeerAddress, MessageRecipients, SingleMessageRecipient
  Enclosing class:
    ArtemisMessagingComponent

      public static class ArtemisMessagingComponent.NodeAddress
      implements ArtemisMessagingComponent.ArtemisPeerAddress

  This is the class used to implement `interface SingleMessageRecipient`, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.

  `class ArtemisMessagingComponent.NodeAddress` identifies a specific peer node and an associated queue. The queue may be the peer's own queue or an advertised service's queue.

  See Also:
    `interface SingleMessageRecipient`, `class ArtemisMessagingComponent.NodeAddress`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NodeAddress.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NodeAddress.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeAddress(java.lang.String queueName, com.google.common.net.HostAndPort hostAndPort)` This is the class used to implement `interface SingleMessageRecipient`, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `component1()`
    `com.google.common.net.HostAndPort` | `component2()`
    `ArtemisMessagingComponent.NodeAddress` | `copy(java.lang.String queueName, com.google.common.net.HostAndPort hostAndPort)` This is the class used to implement `interface SingleMessageRecipient`, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.
    `boolean` | `equals(java.lang.Object p)`
    `com.google.common.net.HostAndPort` | `getHostAndPort()`
    `java.lang.String` | `getQueueName()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.messaging.ArtemisMessagingComponent.ArtemisPeerAddress

      `getHostAndPort`

    - ### Methods inherited from interface net.corda.node.services.messaging.ArtemisMessagingComponent.ArtemisAddress

      `getQueueName`

- - ### Field Detail

    - #### Companion

          public static NodeAddress.Companion Companion

  - ### Constructor Detail

    - #### NodeAddress

          public NodeAddress(java.lang.String queueName,
                             com.google.common.net.HostAndPort hostAndPort)

      This is the class used to implement `interface SingleMessageRecipient`, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.

      `class ArtemisMessagingComponent.NodeAddress` identifies a specific peer node and an associated queue. The queue may be the peer's own queue or an advertised service's queue.

      Parameters:
        `queueName` - The name of the queue this address is associated with.
        `hostAndPort` - The address of the node.
      See Also:
        `interface SingleMessageRecipient`, `class ArtemisMessagingComponent.NodeAddress`

  - ### Method Detail

    - #### getQueueName

          public java.lang.String getQueueName()

    - #### getHostAndPort

          public com.google.common.net.HostAndPort getHostAndPort()

    - #### component1

          public java.lang.String component1()

    - #### component2

          public com.google.common.net.HostAndPort component2()

    - #### copy

          public ArtemisMessagingComponent.NodeAddress copy(java.lang.String queueName,
                                                            com.google.common.net.HostAndPort hostAndPort)

      This is the class used to implement `interface SingleMessageRecipient`, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.

      `class ArtemisMessagingComponent.NodeAddress` identifies a specific peer node and an associated queue. The queue may be the peer's own queue or an advertised service's queue.

      Parameters:
        `queueName` - The name of the queue this address is associated with.
        `hostAndPort` - The address of the node.
      See Also:
        `interface SingleMessageRecipient`, `class ArtemisMessagingComponent.NodeAddress`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)